from Products.CMFCore.utils import getToolByName
from plone import api


def workflow_transition_for_files(object, event):
    """If a file/image is added to Issue, transition it to best
       intranet_workflow state."""
    parent = event.newParent
    if parent.portal_type in ('SunPowerIssue'):
        tracker = parent.getTracker()
        state = api.content.get_state(tracker)
        portal = api.portal.get()
        wtool = getToolByName(portal, "portal_workflow")
        try:
            workflow = wtool.getChainForPortalType(object.portal_type)[0]
        except IndexError:
            return
        with api.env.adopt_user(username="sfupadmin"):
            if workflow == 'intranet_workflow':
                if state in ('closed', 'protected', 'restricted'):
                    transition = 'publish_internally'
                else:
                    api.content.transition(object, 'submit')
                    transition = 'publish_externally'
                api.content.transition(object, transition)
