# -*- coding: utf-8 -*-
from plone.app.contenttypes.testing import PLONE_APP_CONTENTTYPES_FIXTURE
from plone.app.robotframework.testing import REMOTE_LIBRARY_BUNDLE_FIXTURE
from plone.app.testing import applyProfile
from plone.app.testing import FunctionalTesting
from plone.app.testing import IntegrationTesting
from plone.app.testing import PloneSandboxLayer
from plone.testing import z2

import sunpower.poi


class SunPowerPoiLayer(PloneSandboxLayer):

    defaultBases = (PLONE_APP_CONTENTTYPES_FIXTURE,)

    def setUpZope(self, app, configurationContext):
        # Load any other ZCML that is required for your tests.
        # The z3c.autoinclude feature is disabled in the Plone fixture base
        # layer.
        self.loadZCML(package=sunpower.poi)

    def setUpPloneSite(self, portal):
        applyProfile(portal, 'sunpower.poi:default')


SUNPOWER_POI_FIXTURE = SunPowerPoiLayer()


SUNPOWER_POI_INTEGRATION_TESTING = IntegrationTesting(
    bases=(SUNPOWER_POI_FIXTURE,),
    name='SunPowerPoiLayer:IntegrationTesting'
)


SUNPOWER_POI_FUNCTIONAL_TESTING = FunctionalTesting(
    bases=(SUNPOWER_POI_FIXTURE,),
    name='SunPowerPoiLayer:FunctionalTesting'
)


SUNPOWER_POI_ACCEPTANCE_TESTING = FunctionalTesting(
    bases=(
        SUNPOWER_POI_FIXTURE,
        REMOTE_LIBRARY_BUNDLE_FIXTURE,
        z2.ZSERVER_FIXTURE
    ),
    name='SunPowerPoiLayer:AcceptanceTesting'
)
